<?php

namespace IZON\Admin\DB;

use IZON\DB\QueryHelpers;
use IZON\DB\QueryFactory;

/**
 * 
 */
class AdminUserQueryFactory implements QueryFactory {
    
    /**
     * Vraci vsechny aktivni konstrukce
     * @param QueryHelpers
     */
    public function findUserByLogin_1(QueryHelpers $queryHelpers) {
        $sql = 'select '. $queryHelpers->getClassProperties("u")  
               .' from '. $queryHelpers->getTableName("u") 
               .' where '. $queryHelpers->getCoumnName("login") ." = :arg0  limit :maxResults offset :firstResult";
        return $sql;
    }
}
